<?php
namespace EMS\PortalFuncionario\Geral\Services;

use Zeedhi\Framework\Controller\Crud;
use Doctrine\ORM\EntityManager;

use EMS\PortalFuncionario\Geral\Repository\ComunicadoRepository;
use EMS\PortalFuncionario\Util\DateUtil;

class ComunicadoService extends Crud {

	public function __construct(EntityManager $entityManager, ComunicadoRepository $comunicadoRepository) {
		$this->entityManager        = $entityManager;
		$this->comunicadoRepository   = $comunicadoRepository;
    }

    public function getComunicados(
        string $nrvinculom,
        string $nrorg
    ) : array {
        try {
            return $this->comunicadoRepository->getComunicados(
                $nrvinculom,
                $nrorg
            );
        } catch (\Exception $e) {
            throw $e;
        }
    }
    
}